{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
<title>Descriere in detaliu despre carte, cu informatii complete</title>
<meta charset="utf-8">

<link type="text/css" rel="stylesheet" href="{% static 'css/book_details_page.css' %}">

<link type="text/css" rel="stylesheet" href="{% static 'css/zoom-book-image.css' %}">

{#<!-- jQuery -->#}
{#<script src="jquery-3.5.1.min.js"></script>#}


<!-- Zoom image CSS -->
<!--<link rel="stylesheet" type="text/css" href="css/zoom_image.css">-->

<!-- jQuery -->
<!--<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>-->

<!-- Bootstrap JS -->
<!--<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>-->

<!-- Zoom image Js -->
<!--<script src="js/zoom_image.js"></script>	-->



</head>
<body>
<div id="wrap">
  <div id="left_bar">
    <h1>{{ book_details.title }}</h1>
    <h2>{{ all_authors_names }}</h2>

         {% if not inactive_user %}
          {# only for the logged in / active users, it will be displayed the book's location too: what room for the library where the book is, on which vertical shelf #}
            <ul id="location">
              <li>Camera: <span class="room_shelf">{{ book_details.shelf.room.name }}</span></li>
              <li>
                  Raftul: <span class="room_shelf">{{ book_details.shelf.shelf_number }}</span>
                  {% if no_shelfs_msg %}
                      &nbsp;&nbsp;<span class="no_shelfs">{{ no_shelfs_msg }}</span>
                  {% endif %}
              </li>
            </ul>
         {% endif %}

    <div id="left_book_info">
      <h2>
          <span>ISBN</span>: {{ book_details.isbn }}
	  </h2>

      {% if book_details.edition_year %}
          <div id="info_name">
              <span>Anul aparitiei</span>: {{ book_details.edition_year }}
          </div>
      {% endif %}

      {% if book_details.copyright_year %}
          <div id="info_name">
              <span>Anul publicarii</span>: {{ book_details.copyright_year }}
          </div>
      {% endif %}

	  <h2><span>Editura</span>:  {{ book_details.publisher.publisherName }}</h2>
    </div>

	  <div class="left_bar_line"></div>
       {% if categ_name %}
           <div>
               <span class="categ">Categoria</span>: {{ categ_name }}
               {% if subcateg_name %}
                   <br />
                        <span class="categ">Subcategoria</span>: {{ subcateg_name }}
               {% endif %}
           </div>
       {% endif %}


		<div class="content-line"></div>
    </div>
  </div>

  </div>

  <div id="content">
    <p id="photo-descr-nav"> <a href="#">Modifica</a> &nbsp; / &nbsp; <a href="#">Sterge</a> </p>

    <div id="photo-description">
	  <div id="img_frame">
<!--		<img src="images/books/carte-1.jpg" alt="" data-action="zoom">-->
			<img id="bookImg" src="{{ book_details.cover_image.url}}" alt="{{ book_details.title }} - Autori: {{ all_authors_names }}" title="{{ book_details.title }} - {{ all_authors_names }}">
		  	<!-- Create a Modal = a dialog box/popup window (with the image of the book, enlarged/zoomed) that is displayed on top of the current page -->
			<div id="myModal" class="modal">
			  <span class="close">&times;</span>
			  <img class="modal-content" id="img01">
			  <div id="caption"></div>
			</div>

			<script>
			// Get the modal
			var modal = document.getElementById("myModal");

			// Get the image and insert it inside the modal - use its "alt" text as a caption
			var img = document.getElementById("bookImg");
			var modalImg = document.getElementById("img01");
			var captionText = document.getElementById("caption");
			img.onclick = function(){
			  modal.style.display = "block";
			  modalImg.src = this.src;
			  captionText.innerHTML = this.alt;
			}

			// Get the <span> element that closes the modal
			var span = document.getElementsByClassName("close")[0];

			// When the user clicks on <span> (x), close the modal
			span.onclick = function() {
			  modal.style.display = "none";
			}
			</script>

        <div id="description">
                {{ book_details.description|linebreaks }}
        </div>

	  </div>


    </div>

  </div>
</div>
</body>
</html>